Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty
Class HttpVersions

    java.lang.Object
      org.mortbay.jetty.HttpVersions

    public class HttpVersions

extends Object

Author:
  gregw

Field Summary
`static BufferCache` | `CACHE`
`static String` | `HTTP_0_9`
`static Buffer` | `HTTP_0_9_BUFFER`
`static int` | `HTTP_0_9_ORDINAL`
`static String` | `HTTP_1_0`
`static Buffer` | `HTTP_1_0_BUFFER`
`static int` | `HTTP_1_0_ORDINAL`
`static String` | `HTTP_1_1`
`static Buffer` | `HTTP_1_1_BUFFER`
`static int` | `HTTP_1_1_ORDINAL`

Constructor Summary
`HttpVersions()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HTTP_0_9

    public static final String HTTP_0_9

See Also:
  Constant Field Values

### HTTP_1_0

    public static final String HTTP_1_0

See Also:
  Constant Field Values

### HTTP_1_1

    public static final String HTTP_1_1

See Also:
  Constant Field Values

### HTTP_0_9_ORDINAL

    public static final int HTTP_0_9_ORDINAL

See Also:
  Constant Field Values

### HTTP_1_0_ORDINAL

    public static final int HTTP_1_0_ORDINAL

See Also:
  Constant Field Values

### HTTP_1_1_ORDINAL

    public static final int HTTP_1_1_ORDINAL

See Also:
  Constant Field Values

### CACHE

    public static final BufferCache CACHE

### HTTP_0_9_BUFFER

    public static final Buffer HTTP_0_9_BUFFER

### HTTP_1_0_BUFFER

    public static final Buffer HTTP_1_0_BUFFER

### HTTP_1_1_BUFFER

    public static final Buffer HTTP_1_1_BUFFER

Constructor Detail

### HttpVersions

    public HttpVersions()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.